## com.puppycrawl.tools.checkstyle.grammars
Interface CommentListener

All Known Implementing Classes:
  FileContents

    public interface CommentListener

This interface is used to be notified by parser about comments in the parsed code.

Author:
  o_sukhodolsky

Method Summary
`void` `reportBlockComment(String aType, int aStartLineNo, int aStartColNo, int aEndLineNo, int aEndColNo)` Report the location of a block comment that can span multiple lines.
`void` `reportSingleLineComment(String aType, int aStartLineNo, int aStartColNo)` Report the location of a single line comment that extends from the given point to the end of the line.

Method Detail

### reportSingleLineComment

    void reportSingleLineComment(String aType,
                                 int aStartLineNo,
                                 int aStartColNo)

  Report the location of a single line comment that extends from the given point to the end of the line. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.

  Parameters:
    `aType` - an identifier for what type of comment it is.
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number

### reportBlockComment

    void reportBlockComment(String aType,
                            int aStartLineNo,
                            int aStartColNo,
                            int aEndLineNo,
                            int aEndColNo)

  Report the location of a block comment that can span multiple lines. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.

  Parameters:
    `aType` - an identifier for what type of comment it is.
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number
    `aEndLineNo` - the ending line number
    `aEndColNo` - the ending column number

Copyright © 2001-2011. All Rights Reserved.